io.vertx.spi.cluster.ignite

## Class IgniteDiscoveryOptions

- java.lang.Object
- - io.vertx.spi.cluster.ignite.IgniteDiscoveryOptions

-     public class IgniteDiscoveryOptions
      extends Object

  Author:
    Lukas Prettenthaler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteDiscoveryOptions()` Default constructor
    `IgniteDiscoveryOptions(IgniteDiscoveryOptions options)` Copy constructor
    `IgniteDiscoveryOptions(JsonObject options)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonObject` | `getProperties()` Get the discovery implementation properties.
    `String` | `getType()` Get the discovery implementation type.
    `IgniteDiscoveryOptions` | `setProperties(JsonObject properties)` Sets the properties used to configure the discovery implementation.
    `IgniteDiscoveryOptions` | `setType(String type)` Sets the discovery implementation type.
    `org.apache.ignite.spi.discovery.DiscoverySpi` | `toConfig()` Convert to IgniteConfiguration
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteDiscoveryOptions

          public IgniteDiscoveryOptions()

      Default constructor

    - #### IgniteDiscoveryOptions

          public IgniteDiscoveryOptions(IgniteDiscoveryOptions options)

      Copy constructor
      Parameters:
        `options` - the one to copy

    - #### IgniteDiscoveryOptions

          public IgniteDiscoveryOptions(JsonObject options)

      Constructor from JSON
      Parameters:
        `options` - the JSON

  - ### Method Detail

    - #### getType

          public String getType()

      Get the discovery implementation type.
      Returns:
        Type of the implementation.

    - #### setType

          public IgniteDiscoveryOptions setType(String type)

      Sets the discovery implementation type. Defaults to TcpDiscoveryMulticastIpFinder
      Parameters:
        `type` - Implemenation type.
      Returns:
        reference to this, for fluency

    - #### getProperties

          public JsonObject getProperties()

      Get the discovery implementation properties.
      Returns:
        Properties of the discovery implementation.

    - #### setProperties

          public IgniteDiscoveryOptions setProperties(JsonObject properties)

      Sets the properties used to configure the discovery implementation.
      Parameters:
        `properties` - Properties for the discovery implementation.
      Returns:
        reference to this, for fluency

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### toConfig

          public org.apache.ignite.spi.discovery.DiscoverySpi toConfig()

      Convert to IgniteConfiguration
      Returns:
        the DiscoverySpi

Copyright © 2020 Eclipse. All rights reserved.